You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 

27 lines
1.0 KiB

From 9b0a2632fd060e0c7b13eabb5ad87f623237eef9 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Zbigniew=20J=C4=99drzejewski-Szmek?= <zbyszek@in.waw.pl>
Date: Mon, 28 Mar 2022 20:20:09 +0200
Subject: [PATCH] test-systemctl-enable: disable the test for %a for now
(cherry picked from commit 5c29de29b43829ba09967b05ae2f136356c8c0d2)
Related: #2082131
---
test/test-systemctl-enable.sh | 4 +++-
1 file changed, 3 insertions(+), 1 deletion(-)
diff --git a/test/test-systemctl-enable.sh b/test/test-systemctl-enable.sh
index 8eb2828e35..ac1bcc1cc7 100644
--- a/test/test-systemctl-enable.sh
+++ b/test/test-systemctl-enable.sh
@@ -567,7 +567,9 @@ EOF
islink "$root/etc/systemd/system/target@$1:$2.socket" "some-some-link6@.socket" || return 2
}
-check_alias a "$(uname -m | tr '_' '-')"
+# TODO: our architecture names are different than what uname -m returns.
+# Add something like 'systemd-detect-virt --print-architecture' and use it here.
+check_alias a "$(uname -m | tr '_' '-')" || :
test ! -e "$root/etc/os-release"
test ! -e "$root/usr/lib/os-release"